## ros-humble-mola-input-ros2 0.2.2

=== CMakeLists.txt ===
# ------------------------------------------------------------------------------
#        A Modular Optimization framework for Localization and mApping
#                               (MOLA)
#
# Copyright (C) 2018-2023, Jose Luis Blanco-Claraco, contributors (AUTHORS.md)
# All rights reserved.
# Released under GNU GPL v3. See LICENSE file
# ------------------------------------------------------------------------------

# Minimum CMake vesion: limited by CMAKE_WINDOWS_EXPORT_ALL_SYMBOLS
cmake_minimum_required(VERSION 3.4)

# Tell CMake we'll use C++ for use in its tests/flags
project(mola_input_ros2 LANGUAGES CXX)

# MOLA CMake scripts: "mola_xxx()"
find_package(mola_common REQUIRED)
# find dependencies:
find_package(mrpt-maps REQUIRED)

find_package(mrpt-ros2bridge QUIET)
if (NOT mrpt-ros2bridge_FOUND)
	message(STATUS "*NOTE*: Module mola_input_ros2 will NOT be built due to missing dependency mrpt-ros2bridge. Set mrpt-ros2bridge_DIR to enable it.")
	return()
endif()

# Find MOLA pkgs:
find_mola_package(mola_kernel)

# Find ROS 2 pkgs:
mola_find_package_or_return(ament_cmake REQUIRED)
mola_find_package_or_return(geometry_msgs REQUIRED)
mola_find_package_or_return(nav_msgs REQUIRED)
mola_find_package_or_return(rclcpp)
mola_find_package_or_return(sensor_msgs REQUIRED)
mola_find_package_or_return(sensor_msgs)
mola_find_package_or_return(tf2 REQUIRED)
mola_find_package_or_return(tf2_geometry_msgs REQUIRED)

# -----------------------
# define lib:
file(GLOB_RECURSE LIB_SRCS src/*.cpp src/*.h)
file(GLOB_RECURSE LIB_PUBLIC_HDRS include/*.h)

# This adds non-ROS deps. The rest are handled below with ament_target_dependencies()
mola_add_library(
	TARGET ${PROJECT_NAME}
	SOURCES ${LIB_SRCS} ${LIB_PUBLIC_HDRS}
	PRIVATE_LINK_LIBRARIES
		mola_kernel
		mrpt::maps
		mrpt::ros2bridge
	CMAKE_DEPENDENCIES
		mola_kernel
		mrpt-maps
)

ament_target_dependencies(${PROJECT_NAME} PUBLIC
	geometry_msgs
	nav_msgs
	rclcpp
	sensor_msgs
	tf2
	tf2_geometry_msgs
)

ament_export_dependencies()
# Export modern CMake targets
#ament_export_targets(export_${PROJECT_NAME})

if(BUILD_TESTING)
  #find_package(ament_cmake_gtest REQUIRED)
  #ament_add_gtest(${PROJECT_NAME}-test test/test_xxx.cpp)

  find_package(ament_lint_auto REQUIRED)

  # the following line skips the linter which checks for copyrights
  # uncomment the line when a copyright and license is not present in all source files
  #set(ament_cmake_copyright_FOUND TRUE)
  # the following line skips cpplint (only works in a git repo)
  # uncomment the line when this package is not in a git repo
  #set(ament_cmake_cpplint_FOUND TRUE)
  ament_lint_auto_find_test_dependencies()
endif()



ament_package()

=== debian/changelog ===
ros-humble-mola-input-ros2 (0.2.2-1jammy) jammy; urgency=high

  * First complete public release
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Thu, 07 Sep 2023 22:00:00 -0000

ros-humble-mola-input-ros2 (0.2.1-1jammy) jammy; urgency=high

  * Initial commit
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sun, 11 Aug 2019 22:00:00 -0000

=== debian/control ===
Source: ros-humble-mola-input-ros2
Section: misc
Priority: optional
Maintainer: Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>
Build-Depends: debhelper (>= 9.0.0), cmake, ros-humble-ament-cmake, ros-humble-ament-cmake-gmock, ros-humble-ament-cmake-gtest, ros-humble-ament-cmake-xmllint, ros-humble-ament-lint-auto, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common, ros-humble-ament-lint-common <!nocheck>, ros-humble-geometry-msgs, ros-humble-mola-common, ros-humble-mola-kernel, ros-humble-mrpt2, ros-humble-nav-msgs, ros-humble-rclcpp, ros-humble-ros-environment, ros-humble-sensor-msgs, ros-humble-tf2, ros-humble-tf2-geometry-msgs, ros-humble-ros-workspace
Homepage: https://github.com/MOLAorg/
Standards-Version: 3.9.2

Package: ros-humble-mola-input-ros2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-ament-lint-auto, ros-humble-ament-lint-common, ros-humble-geometry-msgs, ros-humble-mola-common, ros-humble-mola-kernel, ros-humble-mrpt2, ros-humble-nav-msgs, ros-humble-rclcpp, ros-humble-sensor-msgs, ros-humble-tf2, ros-humble-tf2-geometry-msgs, ros-humble-ros-workspace
Description: RawDataSource acting as a bridge: ROS2 -&gt; MOLA

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-mola-input-ros2//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
